Import/Export Scripts in 2.63

Scripting in Blender with Python, and working on the API

Moderators: jesterKing, stiv

NevadaDimitri
Posts: 2
Joined: Tue May 29, 2012 8:41 pm
Location: USA

Import/Export Scripts in 2.63

Postby NevadaDimitri » Tue May 29, 2012 8:59 pm

Hello. I apologise if this has been posted/answered somewhere already. My numerous searches have been unsuccessful.

I recently downloaded and "installed" a set of scripts for importing/exporting .m2i files. They are in the proper folder (I found it despite ".blender" being hidden). I have Python installed. At first, I was using Python 2.7 but later read something about Blender 2.63 needing Python 3 so I uninstalled 2.7 and got 3.2.3. Still no .m2i option showing up in the menu.

I've tried everything I could think of, including placing a PYTHONPATH in the environment variables. Am I just using the wrong version of Python? or is it something else I'm missing?

Tehrasha
Posts: 1264
Joined: Wed Apr 21, 2010 6:21 am
Location: Iowa

Re: Import/Export Scripts in 2.63

Postby Tehrasha » Tue May 29, 2012 9:30 pm

NevadaDimitri wrote:I recently downloaded and "installed" a set of scripts for importing/exporting .m2i files. They are in the proper folder (I found it despite ".blender" being hidden).


Given this line, my guess is that you are trying to use scripts that were written for the older Blender 2.4x series..

They will not work. The old scripts are not compatible with the current API.
The scripts would need to be rewritten to work with 2.6.
Spacemice Wiki -- Input devices for a 3D world.
Spacemice / Blender Compatibility

NevadaDimitri
Posts: 2
Joined: Tue May 29, 2012 8:41 pm
Location: USA

Postby NevadaDimitri » Tue May 29, 2012 9:45 pm

I see. That does make sense. I'll see if I can install 2.49 alongside 2.63. The person that wrote these scripts did mention that was the latest version of Blender at the time. Thanks. :)


Return to “Python”

Who is online

Users browsing this forum: No registered users and 1 guest